﻿@{
    Layout = null;
    var nota = (List<Nota>)Model;
}
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.min.js" integrity="sha384-cVKIPhGWiC2Al4u+LWgxfKTRIcfu0JTxR+EQDz/bgldoEyl4H0zUF0QKbrJ0EcQF" crossorigin="anonymous"></script>

<div class="row">
    <div class="d-flex flex-column flex-shrink-0 p-3 text-white bg-dark" style="width: 280px;">
        <a href="/" class="d-flex align-items-center mb-3 mb-md-0 me-md-auto text-white text-decoration-none">
            <span class="fs-4">ETIQUETAS</span>
        </a>
        <hr>

        <ul class="nav nav-pills flex-column mb-auto">
            @foreach (var item in ViewBag.Etiquetas)
            {

                <li class="nav-item">
                    <a href="#" class="nav-link" aria-current="page" onclick="init2(@item.Id)">
                        <svg class="bi me-2" width="16" height="16"><use xlink:href="#home" /></svg>
                        <small>  @item.Nombre </small>
                    </a>
                </li>
            }
            <li class="nav-item">
                <a href="#" class="nav-link" aria-current="page" onclick="init2(0)">
                    <svg class="bi me-2" width="16" height="16"><use xlink:href="#home" /></svg>
                    <small> Todos </small>
                </a>
            </li>
        </ul>

    </div>

    <div class="col">
        @foreach (var item in nota)
        {
            <div class="container-fluid" style="margin-left:50px;margin-right:40px">
                <ul class="list-group">
                    <li class="list-group-item">
                        <a class="text-dark" href="/Nota/Detalle?Id=@item.Id"><strong>@item.Titulo</strong></a>
                        <br />

                        <span>
                            <strong>Cuerpo: </strong>
                            @if (item.Cuerpo.Length > 50)
                            {
                                <parcial>@item.Cuerpo.Substring(0, 50) ...</parcial>
                            }
                            else
                            {
                                <parcial>@item.Cuerpo</parcial>
                            }

                        </span>

                        <div align="right">
                            <a href="/Nota/Eliminar?id=@item.Id" style="margin-left:20px;" class="btn btn-danger float-lg-right" onclick="elimina(event,@item.Id)">Eliminar</a>
                            <a style="margin-right:20px;" class="btn btn-primary float-lg-right" href="#" data-toggle="modal" data-target="#edit" onclick="selCuenta('@item.Id','@item.Titulo','@item.Cuerpo')">Editar</a>
                        </div>
                    </li>
                </ul>
                <br />
            </div>
        }

    </div>
</div>


<div class="modal fade" id="edit" tabindex="-1" aria-labelledby="edit" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Editar Nota</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body" id="editNotita">
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
                <button type="button" class="btn btn-primary" onclick="submitForm()">Guardar</button>
            </div>
        </div>
    </div>
</div>

<script>
    function elimina(e, id) {
        e.preventDefault();
        $.ajax({
            url: '/Nota/Eliminar?id=' + id,
            type: 'get',
        }).done(function (html) {
            location.reload();
        });
    }

    function selCuenta(id, titulo, cuerpo) {
        $('#mtxtId').val(id);
        $('#mtxtTitulo').val(titulo);
        $('#text').val(cuerpo);
    };

    $.ajax({
        url: '/Nota/Edit',
        type: 'get'
    }).done(function (html) {
        $('#editNotita').html(html);
    })

    function submitForm() {
        $('#editNota').submit();
    }

    function editar(event) {
        event.preventDefault();
        var idE = $('#mtxtId').val();
        var dataString = new FormData($('#edit form')[0]);
        dataString.append("idE", idE);
        $.ajax({
            url: "/Nota/Edit",
            type: "post",
            processData: false,
            contentType: false,
            cache: false,
            data: dataString
        }).done(function (html) {
            location.reload();
        }).fail(function (html) {
            $('#editNotita').html(html.responseText);
        });
    }


    function init2(id) {
        $.ajax({
            url: '/Nota/_Index?etiquetaId=' + id
        }).done(function (notas) {
            $('#Lista').html(notas);
        });
    }
</script>